You are not logged in.

#1 2019-07-09 16:22:03

hondamax100
Member
Registered: 2018-12-30
Posts: 8

GRUB does not boot into Arch Linux?

I have a problem with my installation of Arch. I had recently uninstalled it as I wanted a clean install. I installed it up to the point of rebooting after installing and configuring GRUB with microcodes enabled. I rebooted and thought everything was going well. GRUB loaded up seemlessly like it always has. This time however, instead of loading up the Arch Linux CLI like it normally does, it shows two entries, a line telling me what is booting up and a second line telling me that my disk has been mounted and is ready to go. As soon as that second line comes in my screen immediately turns black. My computer then stops emitting a HDMI output and stops displaying to the monitor entirely. The computer will then restart

This happens again and again putting my computer in an endless reboot cycle as it tries to start the OS.

I do have windows also on another partiton, but it is not using GRUB to boot and is on a HDD. My graphics card is an RTX 2080 that I have had a few issues with linux in the past before, but never this bad and only on linux and not on windows.

Offline

#2 2019-07-09 18:22:17

dockland
Member
From: Sweden
Registered: 2015-06-06
Posts: 837

Re: GRUB does not boot into Arch Linux?

chroot in, impossible to guess, and check appropriate logfiles/fstab/conf-files and post them here.


I possess a device, in my pocket, that is capable of accessing the entirety of information known to man.
I use it to look at funny pictures of cats and to argue with strangers.

Offline

#3 2019-07-10 02:59:45

hondamax100
Member
Registered: 2018-12-30
Posts: 8

Re: GRUB does not boot into Arch Linux?

FSTAB

# Static information about the filesystems.
# See fstab(5) for details.

# <file system> <dir> <type> <options> <dump> <pass>
# /dev/nvme0n1p3
UUID=8f1b3f9c-d340-42a7-8bdf-0240c1afc676	/         	ext4      	rw,relatime	0 1

# /dev/nvme0n1p1
UUID=B61E-9C11      	/efi      	vfat      	rw,relatime,fmask=0022,dmask=0022,codepage=437,iocharset=iso8859-1,shortname=mixed,utf8,errors=remount-ro	0 2

# /dev/nvme0n1p2
UUID=5799546b-0175-45eb-b13f-d69607782d4f	none      	swap      	defaults,pri=-2	0 0

LOG FILES (Im only posting log files with data in them)

pacman.log

[2019-07-09 15:00] [PACMAN] Running 'pacman -r /mnt -Sy --cachedir=/mnt/var/cache/pacman/pkg --noconfirm base base-devel'
[2019-07-09 15:00] [PACMAN] synchronizing package lists
[2019-07-09 15:01] [ALPM] transaction started
[2019-07-09 15:01] [ALPM] installed linux-api-headers (5.1-1)
[2019-07-09 15:01] [ALPM] installed tzdata (2019b-1)
[2019-07-09 15:01] [ALPM] installed iana-etc (20190531-1)
[2019-07-09 15:01] [ALPM] installed filesystem (2019.05-2)
[2019-07-09 15:01] [ALPM] installed glibc (2.29-3)
[2019-07-09 15:01] [ALPM] installed gcc-libs (9.1.0-2)
[2019-07-09 15:01] [ALPM] installed ncurses (6.1-6)
[2019-07-09 15:01] [ALPM] installed readline (8.0.0-1)
[2019-07-09 15:01] [ALPM] installed bash (5.0.007-1)
[2019-07-09 15:01] [ALPM] installed bzip2 (1.0.7-2)
[2019-07-09 15:01] [ALPM] installed attr (2.4.48-1)
[2019-07-09 15:01] [ALPM] installed acl (2.2.53-1)
[2019-07-09 15:01] [ALPM] installed gmp (6.1.2-2)
[2019-07-09 15:01] [ALPM] installed libcap (2.27-1)
[2019-07-09 15:01] [ALPM] installed gdbm (1.18.1-2)
[2019-07-09 15:01] [ALPM] installed db (5.3.28-4)
[2019-07-09 15:01] [ALPM] installed perl (5.30.0-3)
[2019-07-09 15:01] [ALPM] installed openssl (1.1.1.c-1)
[2019-07-09 15:01] [ALPM] installed coreutils (8.31-1)
[2019-07-09 15:01] [ALPM] installed libgpg-error (1.36-1)
[2019-07-09 15:01] [ALPM] installed libgcrypt (1.8.4-1)
[2019-07-09 15:01] [ALPM] installed lz4 (1:1.9.1-1)
[2019-07-09 15:01] [ALPM] installed xz (5.2.4-1)
[2019-07-09 15:01] [ALPM] installed systemd-libs (242.32-3)
[2019-07-09 15:01] [ALPM] installed device-mapper (2.02.185-1)
[2019-07-09 15:01] [ALPM] installed popt (1.16-10)
[2019-07-09 15:01] [ALPM] installed libutil-linux (2.34-3)
[2019-07-09 15:01] [ALPM] installed json-c (0.13.1-2)
[2019-07-09 15:01] [ALPM] installed argon2 (20190702-1)
[2019-07-09 15:01] [ALPM] installed cryptsetup (2.1.0-1)
[2019-07-09 15:01] [ALPM] installed expat (2.2.7-1)
[2019-07-09 15:01] [ALPM] installed e2fsprogs (1.45.2-1)
[2019-07-09 15:01] [ALPM] installed libsasl (2.1.27-1)
[2019-07-09 15:01] [ALPM] installed libldap (2.4.47-3)
[2019-07-09 15:01] [ALPM] installed keyutils (1.6-1)
[2019-07-09 15:01] [ALPM] installed krb5 (1.17-1)
[2019-07-09 15:01] [ALPM] installed libcap-ng (0.7.9-1)
[2019-07-09 15:01] [ALPM] installed audit (2.8.5-3)
[2019-07-09 15:01] [ALPM] installed dbus (1.12.16-1)
[2019-07-09 15:01] [ALPM] installed libmnl (1.0.4-2)
[2019-07-09 15:01] [ALPM] installed libnftnl (1.1.3-1)
[2019-07-09 15:01] [ALPM] installed libnl (3.4.0-1)
[2019-07-09 15:01] [ALPM] installed libusb (1.0.22-1)
[2019-07-09 15:01] [ALPM] installed libpcap (1.9.0-1)
[2019-07-09 15:01] [ALPM] installed libnfnetlink (1.0.1-3)
[2019-07-09 15:01] [ALPM] installed libnetfilter_conntrack (1.0.7-1)
[2019-07-09 15:01] [ALPM] installed iptables (1:1.8.3-1)
[2019-07-09 15:01] [ALPM] installed zlib (1:1.2.11-3)
[2019-07-09 15:01] [ALPM] installed cracklib (2.9.7-1)
[2019-07-09 15:01] [ALPM] installed libtirpc (1.1.4-1)
[2019-07-09 15:01] [ALPM] installed pambase (20190105.1-1)
[2019-07-09 15:01] [ALPM] installed pam (1.3.1-1)
[2019-07-09 15:01] [ALPM] installed kbd (2.0.4-2)
[2019-07-09 15:01] [ALPM] installed kmod (26-2)
[2019-07-09 15:01] [ALPM] installed hwids (20190316-1)
[2019-07-09 15:01] [ALPM] installed libunistring (0.9.10-1)
[2019-07-09 15:01] [ALPM] installed libidn2 (2.2.0-1)
[2019-07-09 15:01] [ALPM] installed libelf (0.176-1)
[2019-07-09 15:01] [ALPM] installed libseccomp (2.4.1-2)
[2019-07-09 15:01] [ALPM] installed shadow (4.6-3)
[2019-07-09 15:01] [ALPM] installed util-linux (2.34-3)
[2019-07-09 15:01] [ALPM] installed pcre2 (10.33-1)
[2019-07-09 15:01] [ALPM] installed systemd (242.32-3)
[2019-07-09 15:01] [ALPM-SCRIPTLET] Initializing machine ID from random generator.
[2019-07-09 15:01] [ALPM-SCRIPTLET] Created symlink /etc/systemd/system/getty.target.wants/getty@tty1.service → /usr/lib/systemd/system/getty@.service.
[2019-07-09 15:01] [ALPM-SCRIPTLET] Created symlink /etc/systemd/system/multi-user.target.wants/remote-fs.target → /usr/lib/systemd/system/remote-fs.target.
[2019-07-09 15:01] [ALPM-SCRIPTLET] :: Append 'init=/usr/lib/systemd/systemd' to your kernel command line in your
[2019-07-09 15:01] [ALPM-SCRIPTLET]    bootloader to replace sysvinit with systemd, or install systemd-sysvcompat
[2019-07-09 15:01] [ALPM] installed dhcpcd (7.2.2-1)
[2019-07-09 15:01] [ALPM] installed diffutils (3.7-1)
[2019-07-09 15:01] [ALPM] installed file (5.37-2)
[2019-07-09 15:01] [ALPM] installed findutils (4.6.0-4)
[2019-07-09 15:01] [ALPM] installed mpfr (4.0.2-1)
[2019-07-09 15:01] [ALPM] installed gawk (4.2.1-2)
[2019-07-09 15:01] [ALPM] installed pcre (8.43-1)
[2019-07-09 15:01] [ALPM] installed libffi (3.2.1-3)
[2019-07-09 15:01] [ALPM] installed glib2 (2.60.4-1)
[2019-07-09 15:01] [ALPM] installed icu (64.2-1)
[2019-07-09 15:01] [ALPM] installed libxml2 (2.9.9-2)
[2019-07-09 15:01] [ALPM] installed libcroco (0.6.13-1)
[2019-07-09 15:01] [ALPM] installed gettext (0.19.8.1-3)
[2019-07-09 15:01] [ALPM] installed grep (3.3-1)
[2019-07-09 15:01] [ALPM] installed less (551-1)
[2019-07-09 15:01] [ALPM] installed gzip (1.10-1)
[2019-07-09 15:01] [ALPM] installed inetutils (1.9.4-7)
[2019-07-09 15:01] [ALPM] installed iproute2 (5.2.0-1)
[2019-07-09 15:01] [ALPM] installed iputils (20180629.f6aac8d-4)
[2019-07-09 15:01] [ALPM] installed jfsutils (1.1.15-6)
[2019-07-09 15:01] [ALPM] installed licenses (20181104-1)
[2019-07-09 15:01] [ALPM] installed linux-firmware (20190628.70e4394-1)
[2019-07-09 15:01] [ALPM] installed mkinitcpio-busybox (1.30.1-1)
[2019-07-09 15:01] [ALPM] installed zstd (1.4.0-1)
[2019-07-09 15:01] [ALPM] installed libarchive (3.4.0-2)
[2019-07-09 15:01] [ALPM] installed mkinitcpio (25-2)
[2019-07-09 15:02] [ALPM] installed linux (5.1.16.arch1-1)
[2019-07-09 15:02] [ALPM] installed logrotate (3.15.0-1)
[2019-07-09 15:02] [ALPM] installed libaio (0.3.112-1)
[2019-07-09 15:02] [ALPM] installed thin-provisioning-tools (0.8.5-2)
[2019-07-09 15:02] [ALPM] installed lvm2 (2.02.185-1)
[2019-07-09 15:02] [ALPM] installed groff (1.22.4-1)
[2019-07-09 15:02] [ALPM] installed libpipeline (1.5.1-1)
[2019-07-09 15:02] [ALPM] installed man-db (2.8.5-2)
[2019-07-09 15:02] [ALPM] installed man-pages (5.01-1)
[2019-07-09 15:02] [ALPM] installed mdadm (4.1-1)
[2019-07-09 15:02] [ALPM] installed nano (4.3-1)
[2019-07-09 15:02] [ALPM] installed openresolv (3.9.0-2)
[2019-07-09 15:02] [ALPM] installed netctl (1.20-1)
[2019-07-09 15:02] [ALPM] installed libtasn1 (4.13-1)
[2019-07-09 15:02] [ALPM] installed p11-kit (0.23.16.1-1)
[2019-07-09 15:02] [ALPM-SCRIPTLET] Created symlink /etc/systemd/user/sockets.target.wants/p11-kit-server.socket → /usr/lib/systemd/user/p11-kit-server.socket.
[2019-07-09 15:02] [ALPM] installed ca-certificates-utils (20181109-1)
[2019-07-09 15:02] [ALPM] installed ca-certificates-mozilla (3.44.1-1)
[2019-07-09 15:02] [ALPM] installed ca-certificates (20181109-1)
[2019-07-09 15:02] [ALPM] installed libssh2 (1.8.2-1)
[2019-07-09 15:02] [ALPM] installed libpsl (0.21.0-1)
[2019-07-09 15:02] [ALPM] installed libnghttp2 (1.36.0-1)
[2019-07-09 15:02] [ALPM] installed curl (7.65.1-3)
[2019-07-09 15:02] [ALPM] installed npth (1.6-1)
[2019-07-09 15:02] [ALPM] installed libksba (1.3.5-1)
[2019-07-09 15:02] [ALPM] installed libassuan (2.5.3-1)
[2019-07-09 15:02] [ALPM] installed libsecret (0.18.8-2)
[2019-07-09 15:02] [ALPM] installed pinentry (1.1.0-4)
[2019-07-09 15:02] [ALPM] installed nettle (3.5.1-1)
[2019-07-09 15:02] [ALPM] installed gnutls (3.6.8-2)
[2019-07-09 15:02] [ALPM] installed sqlite (3.28.0-1)
[2019-07-09 15:02] [ALPM] installed gnupg (2.2.16-1)
[2019-07-09 15:02] [ALPM] installed gpgme (1.13.1-1)
[2019-07-09 15:02] [ALPM] installed pacman-mirrorlist (20190614-1)
[2019-07-09 15:02] [ALPM] installed archlinux-keyring (20190123-2)
[2019-07-09 15:02] [ALPM] installed pacman (5.1.3-1)
[2019-07-09 15:02] [ALPM] installed pciutils (3.6.2-1)
[2019-07-09 15:02] [ALPM] installed procps-ng (3.3.15-1)
[2019-07-09 15:02] [ALPM] installed psmisc (23.2-1)
[2019-07-09 15:02] [ALPM] installed reiserfsprogs (3.6.27-2)
[2019-07-09 15:02] [ALPM] installed s-nail (14.9.13-2)
[2019-07-09 15:02] [ALPM] installed sed (4.7-1)
[2019-07-09 15:02] [ALPM] installed sysfsutils (2.1.0-10)
[2019-07-09 15:02] [ALPM] installed systemd-sysvcompat (242.32-3)
[2019-07-09 15:02] [ALPM] installed tar (1.32-1)
[2019-07-09 15:02] [ALPM] installed texinfo (6.6-1)
[2019-07-09 15:02] [ALPM] installed usbutils (010-1)
[2019-07-09 15:02] [ALPM] installed vi (1:070224-3)
[2019-07-09 15:02] [ALPM] installed which (2.21-3)
[2019-07-09 15:02] [ALPM] installed xfsprogs (4.20.0-2)
[2019-07-09 15:02] [ALPM] installed m4 (1.4.18-2)
[2019-07-09 15:02] [ALPM] installed autoconf (2.69-5)
[2019-07-09 15:02] [ALPM] installed automake (1.16.1-1)
[2019-07-09 15:02] [ALPM] installed binutils (2.32-2)
[2019-07-09 15:02] [ALPM] installed bison (3.3.2-1)
[2019-07-09 15:02] [ALPM] installed fakeroot (1.23-1)
[2019-07-09 15:02] [ALPM] installed flex (2.6.4-2)
[2019-07-09 15:02] [ALPM] installed libmpc (1.1.0-1)
[2019-07-09 15:02] [ALPM] installed gcc (9.1.0-2)
[2019-07-09 15:02] [ALPM] installed libtool (2.4.6+42+gb88cebd5-4)
[2019-07-09 15:02] [ALPM] installed libatomic_ops (7.6.10-1)
[2019-07-09 15:02] [ALPM] installed gc (7.6.8-1)
[2019-07-09 15:02] [ALPM] installed guile (2.2.5-1)
[2019-07-09 15:02] [ALPM] installed make (4.2.1-3)
[2019-07-09 15:02] [ALPM] installed patch (2.7.6-7)
[2019-07-09 15:02] [ALPM] installed pkgconf (1.6.1-1)
[2019-07-09 15:02] [ALPM] installed sudo (1.8.27-1)
[2019-07-09 15:02] [ALPM] transaction completed
[2019-07-09 15:02] [ALPM] running '60-linux.hook'...
[2019-07-09 15:02] [ALPM] running '90-linux.hook'...
[2019-07-09 15:02] [ALPM-SCRIPTLET] ==> Building image from preset: /etc/mkinitcpio.d/linux.preset: 'default'
[2019-07-09 15:02] [ALPM-SCRIPTLET]   -> -k /boot/vmlinuz-linux -c /etc/mkinitcpio.conf -g /boot/initramfs-linux.img
[2019-07-09 15:02] [ALPM-SCRIPTLET] ==> Starting build: 5.1.16-arch1-1-ARCH
[2019-07-09 15:02] [ALPM-SCRIPTLET]   -> Running build hook: [base]
[2019-07-09 15:02] [ALPM-SCRIPTLET]   -> Running build hook: [udev]
[2019-07-09 15:02] [ALPM-SCRIPTLET]   -> Running build hook: [autodetect]
[2019-07-09 15:02] [ALPM-SCRIPTLET]   -> Running build hook: [modconf]
[2019-07-09 15:02] [ALPM-SCRIPTLET]   -> Running build hook: [block]
[2019-07-09 15:02] [ALPM-SCRIPTLET]   -> Running build hook: [filesystems]
[2019-07-09 15:02] [ALPM-SCRIPTLET]   -> Running build hook: [keyboard]
[2019-07-09 15:02] [ALPM-SCRIPTLET]   -> Running build hook: [fsck]
[2019-07-09 15:02] [ALPM-SCRIPTLET] ==> Generating module dependencies
[2019-07-09 15:02] [ALPM-SCRIPTLET] ==> Creating gzip-compressed initcpio image: /boot/initramfs-linux.img
[2019-07-09 15:02] [ALPM-SCRIPTLET] ==> Image generation successful
[2019-07-09 15:02] [ALPM-SCRIPTLET] ==> Building image from preset: /etc/mkinitcpio.d/linux.preset: 'fallback'
[2019-07-09 15:02] [ALPM-SCRIPTLET]   -> -k /boot/vmlinuz-linux -c /etc/mkinitcpio.conf -g /boot/initramfs-linux-fallback.img -S autodetect
[2019-07-09 15:02] [ALPM-SCRIPTLET] ==> Starting build: 5.1.16-arch1-1-ARCH
[2019-07-09 15:02] [ALPM-SCRIPTLET]   -> Running build hook: [base]
[2019-07-09 15:02] [ALPM-SCRIPTLET]   -> Running build hook: [udev]
[2019-07-09 15:02] [ALPM-SCRIPTLET]   -> Running build hook: [modconf]
[2019-07-09 15:02] [ALPM-SCRIPTLET]   -> Running build hook: [block]
[2019-07-09 15:02] [ALPM-SCRIPTLET] ==> WARNING: Possibly missing firmware for module: wd719x
[2019-07-09 15:02] [ALPM-SCRIPTLET] ==> WARNING: Possibly missing firmware for module: aic94xx
[2019-07-09 15:02] [ALPM-SCRIPTLET]   -> Running build hook: [filesystems]
[2019-07-09 15:02] [ALPM-SCRIPTLET]   -> Running build hook: [keyboard]
[2019-07-09 15:02] [ALPM-SCRIPTLET]   -> Running build hook: [fsck]
[2019-07-09 15:02] [ALPM-SCRIPTLET] ==> Generating module dependencies
[2019-07-09 15:02] [ALPM-SCRIPTLET] ==> Creating gzip-compressed initcpio image: /boot/initramfs-linux-fallback.img
[2019-07-09 15:02] [ALPM-SCRIPTLET] ==> Image generation successful
[2019-07-09 15:02] [ALPM] running 'detect-old-perl-modules.hook'...
[2019-07-09 15:02] [ALPM-SCRIPTLET] perl: warning: Setting locale failed.
[2019-07-09 15:02] [ALPM-SCRIPTLET] perl: warning: Please check that your locale settings:
[2019-07-09 15:02] [ALPM-SCRIPTLET] 	LANGUAGE = (unset),
[2019-07-09 15:02] [ALPM-SCRIPTLET] 	LC_ALL = (unset),
[2019-07-09 15:02] [ALPM-SCRIPTLET] 	LC_MESSAGES = "",
[2019-07-09 15:02] [ALPM-SCRIPTLET] 	LANG = "en_US.UTF-8"
[2019-07-09 15:02] [ALPM-SCRIPTLET]     are supported and installed on your system.
[2019-07-09 15:02] [ALPM-SCRIPTLET] perl: warning: Falling back to the standard locale ("C").
[2019-07-09 15:02] [ALPM] running 'systemd-catalog.hook'...
[2019-07-09 15:02] [ALPM] running 'systemd-daemon-reload.hook'...
[2019-07-09 15:02] [ALPM-SCRIPTLET]   Skipped: Current root is not booted.
[2019-07-09 15:02] [ALPM] running 'systemd-hwdb.hook'...
[2019-07-09 15:02] [ALPM] running 'systemd-sysctl.hook'...
[2019-07-09 15:02] [ALPM-SCRIPTLET]   Skipped: Current root is not booted.
[2019-07-09 15:02] [ALPM] running 'systemd-sysusers.hook'...
[2019-07-09 15:02] [ALPM] running 'systemd-tmpfiles.hook'...
[2019-07-09 15:02] [ALPM] running 'systemd-udev-reload.hook'...
[2019-07-09 15:02] [ALPM-SCRIPTLET]   Skipped: Device manager is not running.
[2019-07-09 15:02] [ALPM] running 'systemd-update.hook'...
[2019-07-09 15:02] [ALPM] running 'texinfo-install.hook'...
[2019-07-09 15:02] [ALPM] running 'update-ca-trust.hook'...
[2019-07-10 01:07] [PACMAN] Running 'pacman -S grub efibootmgr'
[2019-07-10 01:07] [ALPM] transaction started
[2019-07-10 01:07] [ALPM] installed grub (2:2.04-1)
[2019-07-10 01:07] [ALPM-SCRIPTLET] Generate your bootloader configuration with:
[2019-07-10 01:07] [ALPM-SCRIPTLET]   grub-mkconfig -o /boot/grub/grub.cfg
[2019-07-10 01:07] [ALPM] installed efivar (37-1)
[2019-07-10 01:07] [ALPM] installed efibootmgr (16-1)
[2019-07-10 01:07] [ALPM] transaction completed
[2019-07-10 01:07] [ALPM] running 'systemd-update.hook'...
[2019-07-10 01:07] [ALPM] running 'texinfo-install.hook'...
[2019-07-10 01:08] [PACMAN] Running 'pacman -S amd-ucode'
[2019-07-10 01:08] [ALPM] transaction started
[2019-07-10 01:08] [ALPM] installed amd-ucode (20190628.70e4394-1)
[2019-07-10 01:08] [ALPM] transaction completed
[2019-07-10 01:08] [ALPM] running 'systemd-update.hook'...

Offline

#4 2019-07-10 04:50:45

hondamax100
Member
Registered: 2018-12-30
Posts: 8

Re: GRUB does not boot into Arch Linux?

u know of any other files i might need to upload?

Offline

#5 2019-07-10 07:21:45

V1del
Forum Moderator
Registered: 2012-10-16
Posts: 7,035

Re: GRUB does not boot into Arch Linux?

After rebooting into a live disk from a failed boot, on the chroot, what's the output of

journalctl -b

Offline

#6 2019-07-10 16:15:33

hondamax100
Member
Registered: 2018-12-30
Posts: 8

Re: GRUB does not boot into Arch Linux?

I was going to and then but before that I wanted to see if it had anything to do with the ISO file. I decided to put a new copy of the arch linux installer onto the drive. Now the USB is doing the same thing when I tried to boot from it. A windows install disk worked fine on the computer so I don't understand why the arch one does not. It gets stuck on the same step just after booting where it starts loading up things such as noveau and other software. It just crashes and reboots again and again.

Offline

#7 2019-07-10 21:25:48

V1del
Forum Moderator
Registered: 2012-10-16
Posts: 7,035

Re: GRUB does not boot into Arch Linux?

Can you boot with the nomodeset parameter? nouveau is unlikely to work properly on this card.

Offline

Board footer

Powered by FluxBB